Deprecated as of version 2025-09-03This page describes the API for versions up to and including
2022-06-28. In the new 2025-09-03 version, the concepts of databases and data sources were split up, as described in Upgrading to 2025-09-03.Refer to the new page instead:properties body param.
Remove a property
To remove a database property, set the property object to null.Rename a property
To change the name of a database property, indicate the new name in thename property object value.
Update property type
To update the property type, the property schema object should contain the key of the type. This type contains behavior of this property. Possible values of this key are"title", "rich_text", "number", "select", "multi_select", "status", "date", "people", "files", "checkbox", "url", "email", "phone_number", "formula", "relation", "rollup", "created_time", "created_by", "last_edited_time", "last_edited_by". Within this property, the configuration is a property schema object.
LimitationsNote that the property type of the
title cannot be changed.Select configuration updates
To update an existing select configuration, the property schema object optionally contains the following configuration within theselect property:
Existing select options
Note that the name and color of an existing option cannot be updated.Multi-select configuration updates
To update an existing select configuration, the property schema object optionally contains the following configuration within themulti_select property:
Existing multi-select options
Note that the name and color of an existing option cannot be updated.Status configuration updates
To update an existing status configuration, the property schema object optionally contains the following configuration within thestatus property:
Existing status options
Note that the name and color of an existing option cannot be updated. Usegroup to assign an existing or new option to one of the existing status groups.